package com.itant.shiwushu.ui.register;


import com.itant.shiwushu.base.IBasePresenter;
import com.itant.shiwushu.base.IBaseView;
import com.itant.shiwushu.bean.User;

public interface RegisterContract {
    interface View extends IBaseView {
        void onRegisterSuccess(User user);
        void onRegisterFailed(String message);
    }

    interface Presenter extends IBasePresenter {
        void register(String nickName, String email, String password);
    }
}